Mailinglist Archive: opensuse-factory (389 mails)

< Previous Next >
Re: [opensuse-factory] Tumbleweed 3.3.0-16.1 kernel does not allow install of nvidia driver
On 22/03/12 12:19, Larry Finger wrote:
On 03/21/2012 07:21 PM, Patrick Shanahan wrote:

12.1 tumbleweed x86_64
kernel-desktop-3.3.0-16.1.x86_64

trying to update nvidia driver with new kernel fails

sh ./NVIDIA-Linux-x86_64-295.20.run -a -K

fails, log below

: ~ # rpm -qa *kernel* |grep 3.3
kernel-desktop-3.3.0-16.1.x86_64
kernel-devel-3.3.0-16.1.noarch
kernel-source-3.3.0-16.1.noarch
kernel-desktop-devel-3.3.0-16.1.x86_64

nvidia-installer.log:
http://wahoo.no-ip.org/~pat/nvidia-installer.log

A patch file to allow 295.20 to build with kernel 3.3 can be obtained from http://www.lwfinger.net/nvidia_patches/nvidia_295_20_for_3.3_err.

To use it, do

sh ./NVIDIA-Linux-x86_64-295.20.run -x
cd NVIDIA-Linux-x86_64-295.20
patch -p1 < nvidia_295_20_for_3.3_err
./nvidia-installer

There is a way to patch the files from the 'sh ./NV...', but I have not tested it.

Larry


Larry

A question Larry: with the appropriate wording changes, will your patch also work on the 32-bit version of the nVidia driver? I have applied other patches for the driver and the driver just will not compile in the stock-standard installation of MS #2 from the KDE LIVE 'CD' on my 32-bit system.

BC

--
Wife sent me to the doctor to get the pills for me to have an erection.
When I came back I gave her the packet of slimming pills.
I am still looking for somewhere to live.

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
Follow Ups